Bug 187583 - VMware-workstation-5.5.1-19175.i386.rpm fails to install on FC5 2.6.16-1.2080_FC5 #1 SMP Tue Mar 28 03:38:47 EST 2006 x86_64 x86_64 x86_64 GNU/Linux
Summary: VMware-workstation-5.5.1-19175.i386.rpm fails to install on FC5 2.6.16-1.2080...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-01 09:53 UTC by Eugen Leitl
Modified: 2015-01-04 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 21:46:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugen Leitl 2006-04-01 09:53:35 UTC
Description of problem:
VMware-workstation-5.5.1-19175.i386.rpm fails to install.


Version-Release number of selected component (if applicable):
2.6.16-1.2080_FC5 #1 SMP Tue Mar 28 03:38:47 EST 2006 x86_64 x86_64 x86_64 GNU/Linux

VMware-workstation-5.5.1-19175.i386.rpm


How reproducible: always.


Steps to Reproduce:
1. rpm -Uhv /home/kiki/Desktop/download/VMware-workstation-5.5.1-19175.i386.rpm

  
Actual results:
Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config0/vmmon-only'
make -C /lib/modules/2.6.16-1.2080_FC5/build/include/.. SUBDIRS=$PWD
SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/kernels/2.6.16-1.2080_FC5-x86_64'
  CC [M]  /tmp/vmware-config0/vmmon-only/linux/driver.o
In file included from /tmp/vmware-config0/vmmon-only/linux/driver.h:20,
                 from /tmp/vmware-config0/vmmon-only/linux/driver.c:49:
/tmp/vmware-config0/vmmon-only/./include/compat_wait.h:37:5: warning:
"VMW_HAVE_EPOLL" is not defined
/tmp/vmware-config0/vmmon-only/./include/compat_wait.h:43:5: warning:
"VMW_HAVE_EPOLL" is not defined
In file included from /tmp/vmware-config0/vmmon-only/linux/driver.h:20,
                 from /tmp/vmware-config0/vmmon-only/linux/driver.c:49:
/tmp/vmware-config0/vmmon-only/./include/compat_wait.h:60: error: conflicting
types for âpoll_initwaitâ
include/linux/poll.h:45: error: previous declaration of âpoll_initwaitâ was here
/tmp/vmware-config0/vmmon-only/linux/driver.c:145: warning: initialization from
incompatible pointer type
/tmp/vmware-config0/vmmon-only/linux/driver.c:149: warning: initialization from
incompatible pointer type
/tmp/vmware-config0/vmmon-only/linux/driver.c: In function âLinuxDriverNoPageâ:
/tmp/vmware-config0/vmmon-only/linux/driver.c:1013: error: âmem_mapâ undeclared
(first use in this function)
/tmp/vmware-config0/vmmon-only/linux/driver.c:1013: error: (Each undeclared
identifier is reported only once
/tmp/vmware-config0/vmmon-only/linux/driver.c:1013: error: for each function it
appears in.)
/tmp/vmware-config0/vmmon-only/linux/driver.c: In function
âLinuxDriverLockedNoPageâ:
/tmp/vmware-config0/vmmon-only/linux/driver.c:1083: error: âmem_mapâ undeclared
(first use in this function)
/tmp/vmware-config0/vmmon-only/linux/driver.c: In function âLinuxDriverNoPageâ:
/tmp/vmware-config0/vmmon-only/linux/driver.c:1022: warning: control reaches end
of non-void function
make[2]: *** [/tmp/vmware-config0/vmmon-only/linux/driver.o] Error 1
make[1]: *** [_module_/tmp/vmware-config0/vmmon-only] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.16-1.2080_FC5-x86_64'
make: *** [vmmon.ko] Error 2
make: Leaving directory `/tmp/vmware-config0/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".

Execution aborted.


Expected results:


Additional info:

Comment 1 Dave Jones 2006-04-18 21:46:01 UTC
vmware's problem.



Note You need to log in before you can comment on or make changes to this bug.